Name:           e2guardian
Version:        3.4.0.3
Release:        3%{?dist}
Summary:        Content filtering web proxy
Packager :      Django <django@mailserver.guru>
Distribution:   CentOS 7
Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://e2guardian.org/
#Source0:        http://dansguardian.org/downloads/2/Stable/%{name}-%{version}.tar.bz2
Source0:	e2guardian_3.4.0.3.tar.gz
Source1:        e2guardian.service
Source2:        e2guardian.httpd
Source3:        e2guardian.logrotate
# ClamAV integration
Source4:        dansguardian-clamd.conf
Source5:        dansguardian-clamd.service
Source6:        dansguardian-clamd.sysconfig
Patch0:         dansguardian-polish.patch
Patch1:         dansguardian-maxuploadsize.patch
# Adds support for ClamAV > 0.95
Patch2:         dansguardian-clamav095.patch
# Fix some typos ;) (Bug #515363)
Patch3:         dansguardian-must-be-successful.patch
# Remove check for clamav version
Patch4:         dansguardian-2.10.1.1-Do-no-check-for-clamav-version.patch
# g++-4.7 does not provide sizeof() by default
Patch5:         dansguardian-2.10.1.1-Include-stddef.h-for-offsetof.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:   clamav-devel pcre-devel zlib-devel
BuildRequires:   pkgconfig
# For Do-no-check-for-clamav-version patch
BuildRequires:   autoconf
# For %%_unitdir
BuildRequires:   systemd-units
Requires(pre):   shadow-utils
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
# For triggerun
Requires(post): systemd-sysv
Requires:       clamav-server


%description
e2guardian is a content filtering proxy that works in conjunction with another 
caching proxy such as Squid. More information can be found in the e2guardian(8) 
man page, the "doc" subdirectory of the distribution, and the comments in 
the configuration and list files themselves.
 
e2guardian is a fork of DansGuardian and the maintainers fully acknowledge the 
work carried out by and the copyright of Daniel Baron and other contributors 
to the Dansguardian project.
 
e2guardian is an Open Source web content filter, It filters the actual content 
of pages based on many methods including phrase matching, request header and 
URL filtering, etc. It does not purely filter based on a banned list of sites
 
HTTPS filtering of web contents with help of SSL bump feature from E2guardian 3.1. 

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
##%patch2 -p1
##%patch3 -p1
##%patch4 -p1
##%patch5 -p1
##############autoconf

%build

./autogen.sh

%configure \
   --prefix=/usr \
   --enable-clamd=yes \
   --with-proxyuser=e2guardian \
   --with-proxygroup=e2guardian \
   --sysconfdir=/etc \
   --localstatedir=/var \
   --enable-icap=yes \
   --enable-commandline=yes \
   --enable-email=yes \
   --enable-ntlm=yes \
   --enable-trickledm=yes \
   --enable-pcre=yes \
   --with-filedescriptors=1024 \
   --enable-sslmitm=yes \
   --enable-avastd=yes \
   --enable-kavd=yes \
   --enable-fancydm=yes \
   --enable-orig-ip \



make
#make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -Dpm 644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
# delete the other scripts since they are of no use for Fedora users
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.pl

# install init script and httpd config
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/%{name}.service
install -Dp -m0644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

# we'll install this later within %doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

# create the log dir
install -dm 755 $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}

# for clamav integration
install -dm 700 $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}
touch $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}/clamd.sock
( cd $RPM_BUILD_ROOT%{_sbindir} && ln -s clamd clamd.%{name} )
install -m644 %{SOURCE5} $RPM_BUILD_ROOT%{_unitdir}/clamd.%{name}.service
install -dm755 $RPM_BUILD_ROOT%{_sysconfdir}/clamd.d
install -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/clamd.d/%{name}.conf
install -dm755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m644 %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/clamd.%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
useradd -r -g %{name} -d %{_datadir}/%{name} -s /sbin/nologin \
   -c "e2guardian web content filter" %{name}
exit 0

# in the first release we put some user-editable files inside the datadir. doh!
# if they are still there we migrate them over to their new home in the
# sysconfdir.
if [ "$1" -gt 1 ] ; then
    if [ -e %{_datadir}/%{name}/lists ] ; then
        mv -f %{_datadir}/%{name}/lists %{_sysconfdir}/%{name}
    fi
fi

%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable dansguardian.service > /dev/null 2>&1 || :
    /bin/systemctl stop dansguardian.service > /dev/null 2>&1 || :
    /bin/systemctl --no-reload disable clamd.dansguardian.service > /dev/null 2>&1 || :
    /bin/systemctl stop clamd.dansguardian.service > /dev/null 2>&1 || :
fi


%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart clamd.dansguardian.service >/dev/null 2>&1 || :
    /bin/systemctl try-restart dansguardian.service >/dev/null 2>&1 || :
fi

%triggerun -- dansguardian < 2.10.1.1-9
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply dansguardian
# and systemd-sysv-convert --apply clamd.dansguardian
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save dansguardian >/dev/null 2>&1 ||:
/usr/bin/systemd-sysv-convert --save clamd.dansguardian >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/bin/systemctl try-restart clamd.dansguardian.service >/dev/null 2>&1 || :
/bin/systemctl try-restart ie2guardian.service >/dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc COPYING INSTALL README UPGRADING
%doc doc/AuthPlugins doc/ContentScanners doc/DownloadManagers doc/FAQ
%doc doc/FAQ.html doc/Plugins
%doc %{_mandir}/man8/%{name}.8.gz
%{_sbindir}/%{name}
%attr(-,%{name},%{name}) %{_datadir}/%{name}
%{_unitdir}/%{name}.service
%dir %{_sysconfdir}/%{name}
#%config(noreplace) %{_sysconfdir}/%{name}/installation_or_migration_from_dg.sh
%config(noreplace) %{_sysconfdir}/%{name}/%{name}*.conf
%dir %{_sysconfdir}/%{name}/authplugins
%config(noreplace) %{_sysconfdir}/%{name}/authplugins/*
%dir %{_sysconfdir}/%{name}/contentscanners
%config(noreplace) %{_sysconfdir}/%{name}/contentscanners/*
%dir %{_sysconfdir}/%{name}/downloadmanagers
%config(noreplace) %{_sysconfdir}/%{name}/downloadmanagers/*
%dir %{_sysconfdir}/%{name}/lists
%config(noreplace) %{_sysconfdir}/%{name}/lists/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%attr(755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}
%attr(700,%{name},%{name}) %dir %{_localstatedir}/run/%{name}
%{_sbindir}/clamd.%{name}
%{_unitdir}/clamd.%{name}.service
%ghost %{_localstatedir}/run/%{name}/clamd.sock
%config(noreplace) %{_sysconfdir}/clamd.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/sysconfig/clamd.%{name}

%changelog
* Thu Mar 24 2016 Django <django@mailserver.guru> 3.4.0-3
- This release fixes a number of issues with v3.4.0 
  and has updated documentation.
- This release is now regarded as stable

* Fri Jan 29 2016 Django <django@mailserver.guru> 3.4.0-1
- stable release candidate version 3.4.0
- weightedphrasemode now optional - defaults to 1
- allowemptyhostcert option added (optional)
- createlistcachefiles now defaults to off

* Tue Feb 24 2015 Django <django@mailserver.guru> 3.3.0-3
* bugfixes

* Tue Feb 24 2015 Django <django@mailserver.guru> 3.3.0-2
* bugfixes

* Tue Feb 24 2015 Django <django@mailserver.guru> 3.3.0-1
- build from development branch

* Mon Feb 23 2015 Django <django@mailserver.guru> 3.1.2-1
- Initial build for CentOS 7
